- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 0703aa28-86e9-419e-9eca-c9376296eafc
    creation_time: 2023-02-17T13:35:37.548001Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loops/sum01-2.i
      input_file_hashes:
        c/loops/sum01-2.i: 5a3f2d13c78d25176694a62cbb92a7cb676735e2350dda904e35c5c69ea362e5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops/sum01-2.i
    file_hash: 5a3f2d13c78d25176694a62cbb92a7cb676735e2350dda904e35c5c69ea362e5
    line: 25
    column: 0
    function: main
  loop_invariant:
    string: (sn == 0 && n < i) || (sn == (i - 1) * 2 && i <= n + 1)
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 1e5b15e5-59a0-463d-bb9f-fbbe85678703
    creation_time: 2023-02-17T13:35:37.548366Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loops/sum01-2.i
      input_file_hashes:
        c/loops/sum01-2.i: 5a3f2d13c78d25176694a62cbb92a7cb676735e2350dda904e35c5c69ea362e5
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loops/sum01-2.i
    file_hash: 5a3f2d13c78d25176694a62cbb92a7cb676735e2350dda904e35c5c69ea362e5
    line: 29
    column: 0
    function: main
  location_invariant:
    string: sn == n * 2 || sn == 0
    type: assertion
    format: C

